/**
 * 
 */
package com.ejie.ab61.comun.utilidades.config;

import java.io.InputStream;
import java.util.Properties;
import java.io.IOException;

import com.ejie.ab61.comun.Constantes;

/**
 *  
 * 
 */
public class Config {

	/**
	 * 
	 */
	private Config() {
	}

	/**
	 * Static method to obtain properties
	 * 
	 * @param nombreFichero
	 *            String
	 * 
	 * @return Properties
	 */
	public static Properties loadProperties(String nombreFichero) {
		return Config.getProperties(nombreFichero);

	}

	/**
	 * M�todo que carga el fichero de propiedades
	 * 
	 * @param nombreFichero
	 *            String
	 * @return Properties
	 */
	public static Properties getProperties(String nombreFichero) {

		String propertiesLog = nombreFichero;
		InputStream configLog = Config.class.getResourceAsStream(propertiesLog);
		Properties pLog = new Properties();

		try {
			pLog.load(configLog);
		} catch (IOException e) {
			e.printStackTrace();
		}

		return pLog;
	}

	/**
	 * Devuelve el properties pasado por parametro del fichero de configuracion
	 * de la aplicacion (Y41bConstantes.CONFIG_PATH)
	 * 
	 * @param strPfClave
	 *            the strPfClave
	 * @return configAplication
	 */
	public static String getConfigAplicacion(final String strPfClave) {
		String resultado = null;
		if (strPfClave != null) {
			final Properties dokusiProp = Config.loadProperties(Constantes.FICHERO_CONFIGURACION);
			if (dokusiProp.containsKey(strPfClave)) {
				resultado = dokusiProp.getProperty(strPfClave);
			}
		}
		return resultado;
	}
}